Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1186499 (tfdocgen) - Review Request: tfdocgen - TiLP framework documentation generator
Summary: Review Request: tfdocgen - TiLP framework documentation generator
Keywords:
Status: CLOSED ERRATA
Alias: tfdocgen
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1186494
TreeView+ depends on / blocked
 
Reported: 2015-01-27 19:35 UTC by Ben Rosser
Modified: 2015-02-25 21:50 UTC (History)
5 users (show)

Fixed In Version: tfdocgen-20150202git-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 13:26:29 UTC
Type: ---
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ben Rosser 2015-01-27 19:35:03 UTC
Spec URL: https://tc01.fedorapeople.org/tilp2/tfdocgen.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/tfdocgen-20131011git-0.fc21.src.rpm
Description: The tfdocgen program is a program used by the libti*
libraries to generate their HTML documentation from
sources and misc files. You don't need this package
unless you want to develop on the libti*2 libraries.
Fedora Account System Username: tc01

A general disclaimer: there's a lot of changelog at the bottom of this spec file. That's because two years ago (approximately), I was not a sponsored Fedora packager and the tilp2 software and its libraries were not compliant with Fedora packaging guidelines. I wrote these spec files and worked with the maintainers to fix these bugs.

Now that the major problems have been fixed, I'd like to try to actually get these RPMs into Fedora.

Comment 1 Ben Rosser 2015-02-02 19:20:50 UTC
Updated to change release from 0 to 1 and to change snapshot date to today:

Spec URL: https://tc01.fedorapeople.org/tilp2/tfdocgen.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/tfdocgen-20150202git-1.fc21.src.rpm

Comment 2 Antonio T. (sagitter) 2015-02-02 20:39:26 UTC
TiLP software seem stalled since 03/2013. 
Are you sure that their development is still active?

Comment 3 Ben Rosser 2015-02-03 01:18:54 UTC
There is still some development going on, yes, see here: http://www.cemetech.net/forum/viewtopic.php?t=4139&postdays=0&postorder=asc&start=100

This tool hasn't been modified in a long time, though, I do know that.

Comment 4 Mario Blättermann 2015-02-06 18:26:09 UTC
%{_mandir}/man1/tfdocgen.1.gz

Please use no certain ending for the compression algorithm. Use a wildcard instead, then it is future-proof (default compression can change in the future):

%{_mandir}/man1/tfdocgen.1.*

License files go into %license according to the latest guidelines:
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 5 Mario Blättermann 2015-02-06 18:31:42 UTC
BTW, ChangeLog is still missing from %doc.

Comment 6 Ben Rosser 2015-02-09 19:10:52 UTC
Fixed these; here are updated spec / srpm.

Spec URL: https://tc01.fedorapeople.org/tilp2/tfdocgen.spec
SRPM URL: https://tc01.fedorapeople.org/tilp2/tfdocgen-20150202git-2.fc21.src.rpm

Comment 7 Mario Blättermann 2015-02-09 19:55:09 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8876026

$ rpmlint -i -v *
tfdocgen.src: I: checking
tfdocgen.src: W: spelling-error %description -l en_US libti -> lib ti, lib-ti, libation
The value of this tag appears to be misspelled. Please double-check.

tfdocgen.src: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
tfdocgen.src: W: invalid-url Source0: tfdocgen-20150202git.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

tfdocgen.x86_64: I: checking
tfdocgen.x86_64: W: spelling-error %description -l en_US libti -> lib ti, lib-ti, libation
The value of this tag appears to be misspelled. Please double-check.

tfdocgen.x86_64: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
tfdocgen-debuginfo.x86_64: I: checking
tfdocgen-debuginfo.x86_64: I: checking-url https://sourceforge.net/projects/tilp/ (timeout 10 seconds)
tfdocgen.spec: I: checking
tfdocgen.spec: W: invalid-url Source0: tfdocgen-20150202git.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

3 packages and 1 specfiles checked; 0 errors, 4 warnings.

Nothing worth to discuss.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    Checksums differ, this is due to the nature of locally created tarballs. Doesn't matter, I trust you to don't have changed the sources.    

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------

Comment 8 Ben Rosser 2015-02-10 01:26:29 UTC
New Package SCM Request
=======================
Package Name: tfdocgen
Short Description: TiLP framework documentation generator
Upstream URL: https://sourceforge.net/projects/tilp/
Owners: tc01
Branches: fc20 fc21 fc22
InitialCC:

Comment 9 Gwyn Ciesla 2015-02-10 13:18:26 UTC
Git done (by process-git-requests).

FYI, there is no 'c' in any of the branch names, and rawhide is automatic.

Comment 10 Fedora Update System 2015-02-10 17:56:38 UTC
tfdocgen-20150202git-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tfdocgen-20150202git-2.fc20

Comment 11 Fedora Update System 2015-02-10 18:08:35 UTC
tfdocgen-20150202git-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tfdocgen-20150202git-2.fc21

Comment 12 Fedora Update System 2015-02-15 02:57:09 UTC
tfdocgen-20150202git-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2015-02-25 13:26:29 UTC
tfdocgen-20150202git-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-02-25 13:29:07 UTC
tfdocgen-20150202git-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Kevin Kofler 2015-02-25 21:41:42 UTC
Sigh, so there we are, somebody's packaging Lionel Debroux's forks and stepping on the work done in the CalcForge repository. No thanks for that!

I'm bumping the Epoch of tfdocgen in the CalcForge repository.

Comment 16 Kevin Kofler 2015-02-25 21:50:39 UTC
> TiLP software seem stalled since 03/2013. 
> Are you sure that their development is still active?

The projects basically got killed by the former lead maintainer, Romain Liévin, on his leaving, arbitrarily appointing Lionel Debroux as his successor, ignoring his existing codevelopers (Tyler Cassidy and me), and Lionel Debroux subsequently appropriating the project names and demanding that the existing developers rename their code. My renames got stuck halfway because it is very time-consuming and unrewarding to spend your time fixing hundreds of references to the old names (also because Romain named everything with tilp_*, put TiLP and LPG references all over user-visible strings, etc.). That also stalled getting the REAL projects into Fedora, as opposed to the forks that are now being packages.


Note You need to log in before you can comment on or make changes to this bug.